selftests: netfilter: missing error check when setting up veth interface [Linux 5.2]

selftests: netfilter: missing error check when setting up veth interface [Linux 5.2]

This Linux kernel change "selftests: netfilter: missing error check when setting up veth interface" is included in the Linux 5.2 release. This change is authored by Jeffrin Jose T <jeffrin [at] rajagiritech.edu.in> on Wed May 15 12:14:04 2019 +0530. The commit for this change in Linux stable tree is 82ce6eb (patch).

selftests: netfilter: missing error check when setting up veth interface

A test for the basic NAT functionality uses ip command which needs veth
device. There is a condition where the kernel support for veth is not
compiled into the kernel and the test script breaks. This patch contains
code for reasonable error display and correct code exit.

Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
Acked-by: Florian Westphal <fw@strlen.de>
Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>

There are 6 lines of Linux source code added/deleted in this change. Code changes to Linux kernel are as follows.

 tools/testing/selftests/netfilter/nft_nat.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/netfilter/nft_nat.sh b/tools/testing/selftests/netfilter/nft_nat.sh
index 21159f5..f102a65 100755
--- a/tools/testing/selftests/netfilter/nft_nat.sh
+++ b/tools/testing/selftests/netfilter/nft_nat.sh
@@ -24,7 +24,11 @@ ip netns add ns0
 ip netns add ns1
 ip netns add ns2

-ip link add veth0 netns ns0 type veth peer name eth0 netns ns1
+ip link add veth0 netns ns0 type veth peer name eth0 netns ns1 > /dev/null 2>&1
+if [ $? -ne 0 ];then
+    echo "SKIP: No virtual ethernet pair device support in kernel"
+    exit $ksft_skip
+fi
 ip link add veth1 netns ns0 type veth peer name eth0 netns ns2

 ip -net ns0 link set lo up

Leave a Reply

Your email address will not be published. Required fields are marked *